<?php
include('inc/auth.inc'); 
$x_3n = $_REQUEST['type']; 
header("content-type: text/html; charset=utf-8"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Expires: Mon, 10 Jan 1970 01:00:00 GMT"); 
header("Type: " . $x_3n); 
$x_3v = Array('Copy', 'Move'); 
switch ($x_3n) { 
case 'create': 
include ('inc/dialogCreate.php'); 
break; 
case 'rename': 
include ('inc/dialogRename.php'); 
break; 
case 'delete': 
include ('inc/dialogDelete.php'); 
break; 
case 'copy': 
include ('inc/dialogCopy.php'); 
break; 
case 'move': 
include ('inc/dialogMove.php'); 
break; 
case 'upload': 
include ('inc/dialogUploadFrameset.inc'); 
break; 
case 'addToBookmarks': 
include ('inc/dialogAddToBookmarks.php'); 
break; 
case 'bookmarkDelete': 
include ('inc/dialogBookmarkDelete.php'); 
break; 
case 'bookmarkInsert': 
include ('inc/dialogBookmarkInsert.php'); 
break; 
case 'bookmarkEdit': 
include ('inc/dialogBookmarkEdit.php'); 
break; 
case 'browserError': 
$x_3w = intval($_REQUEST['errorNumber']); 
$x_1r = $_REQUEST['path']; 
include ('inc/dialogBrowserError.inc'); 
break; 
case 'browserSmall': 
include ('browserSmall.php'); 
break; 
} 
?>
